import { InjectionToken, NgZone } from '@angular/core';
import { FirebaseAppConfig } from './firebase-app-config';
import { FirebaseApp } from './firebase-app';
export declare function _firebaseAppFactory(config: FirebaseAppConfig, zone: NgZone): FirebaseApp;
export declare class FirebaseAppModule {
    static initializeApp(config: FirebaseAppConfig): {
        ngModule: typeof FirebaseAppModule;
        providers: ({
            provide: InjectionToken<FirebaseAppConfig>;
            useValue: FirebaseAppConfig;
            useFactory?: undefined;
            deps?: undefined;
        } | {
            provide: typeof FirebaseApp;
            useFactory: typeof _firebaseAppFactory;
            deps: (InjectionToken<FirebaseAppConfig> | typeof NgZone)[];
            useValue?: undefined;
        })[];
    };
}
