(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('firebase/app')) :
	typeof define === 'function' && define.amd ? define('ng-firebase-lite', ['exports', '@angular/core', 'firebase/app'], factory) :
	(factory((global['ng-firebase-lite'] = {}),global.ng.core,global.firebase));
}(this, (function (exports,core,app) { 'use strict';

var FirebaseAppConfigToken = new core.InjectionToken('FirebaseAppConfigToken');
var FirebaseApp = /** @class */ (function () {
    function FirebaseApp() {
    }
    return FirebaseApp;
}());
function _firebaseAppFactory(config, zone) {
    return zone.runOutsideAngular(function () { return (app.initializeApp(config)); });
}
var FirebaseAppModule = /** @class */ (function () {
    function FirebaseAppModule() {
    }
    FirebaseAppModule.initializeApp = function (config) {
        return {
            ngModule: FirebaseAppModule,
            providers: [
                {
                    provide: FirebaseAppConfigToken,
                    useValue: config
                },
                {
                    provide: FirebaseApp,
                    useFactory: _firebaseAppFactory,
                    deps: [FirebaseAppConfigToken, core.NgZone]
                }
            ]
        };
    };
    return FirebaseAppModule;
}());
FirebaseAppModule.decorators = [
    { type: core.NgModule, args: [{
                providers: []
            },] },
];

exports.FirebaseAppModule = FirebaseAppModule;
exports.FirebaseApp = FirebaseApp;
exports.ɵb = FirebaseAppConfigToken;
exports.ɵa = _firebaseAppFactory;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-firebase-lite.umd.js.map
