import { InjectionToken, NgModule, NgZone } from '@angular/core';
import { initializeApp } from 'firebase/app';

var FirebaseAppConfigToken = new InjectionToken('FirebaseAppConfigToken');
var FirebaseApp = /** @class */ (function () {
    function FirebaseApp() {
    }
    return FirebaseApp;
}());
function _firebaseAppFactory(config, zone) {
    return zone.runOutsideAngular(function () { return (initializeApp(config)); });
}
var FirebaseAppModule = /** @class */ (function () {
    function FirebaseAppModule() {
    }
    FirebaseAppModule.initializeApp = function (config) {
        return {
            ngModule: FirebaseAppModule,
            providers: [
                {
                    provide: FirebaseAppConfigToken,
                    useValue: config
                },
                {
                    provide: FirebaseApp,
                    useFactory: _firebaseAppFactory,
                    deps: [FirebaseAppConfigToken, NgZone]
                }
            ]
        };
    };
    return FirebaseAppModule;
}());
FirebaseAppModule.decorators = [
    { type: NgModule, args: [{
                providers: []
            },] },
];

export { FirebaseAppModule, FirebaseApp, FirebaseAppConfigToken as ɵb, _firebaseAppFactory as ɵa };
//# sourceMappingURL=ng-firebase-lite.js.map
